<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="4fa4f00e13b09c69" weblate-flags="safe-html, strict-same">
        <source>= `string`</source>
        <target state="translated">= `string`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">13</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9db38b8d76058d8b" weblate-flags="safe-html, strict-same">
        <source>Modifiable sequences of characters are represented using objects of type &lt;&lt;ref_string&gt;&gt;.</source>
        <target state="translated">可修改的字符序列通过 &amp;lt;&lt;ref_string&gt;&amp;gt; 类型的对象表示。&lt;/ref_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">15</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="60ec6bc224d6bb01" weblate-flags="safe-html, strict-same">
        <source>The interface and functionality of &lt;&lt;ref_string&gt;&gt; is the same as {std_string} except that:</source>
        <target state="translated">&amp;lt;&lt;ref_string&gt;&amp;gt; 的接口和功能与 {std_string} 相同，但有以下例外：&lt;/ref_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b0fc0301f18c1451" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_string&gt;&gt; is not a class template,</source>
        <target state="translated">&amp;lt;&lt;ref_string&gt;&amp;gt;不是一个类模板，&lt;/ref_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">21</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b28db44c6ed70ce4" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_string&gt;&gt; uses `char` as its character type,</source>
        <target state="translated">&amp;lt;&lt;ref_string&gt;&amp;gt; 使用`char`作为其字符类型，&lt;/ref_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">22</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b9ad8e42b63582b1" weblate-flags="safe-html, strict-same">
        <source>redundant overloads for string operations have been replaced</source>
        <target state="translated">字符串操作中冗余的重载已被</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6d4bfc1a1a073e97" weblate-flags="safe-html, strict-same">
        <source>with a &lt;&lt;ref_string_view&gt;&gt;-based interface,</source>
        <target state="translated">基于 &amp;lt;&lt;ref_string_view&gt;&amp;gt; 的接口所取代，&lt;/ref_string_view&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">24</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="99643f138ae94789" weblate-flags="safe-html, strict-same">
        <source>access to characters in the range `[size(), capacity())` is permitted,</source>
        <target state="translated">允许访问`[size(), capacity())`范围内的字符，</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="65641ea1b3cc2a44" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_storage_ptr&gt;&gt; is used instead of {req_Allocator}, and</source>
        <target state="translated">使用&amp;lt;&lt;ref_storage_ptr&gt;&amp;gt;代替{req_Allocator}，且&lt;/ref_storage_ptr&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">26</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a67181b9b5b28721" weblate-flags="safe-html, strict-same">
        <source>small buffer optimisation is guaranteed, which avoids allocating memory for</source>
        <target state="translated">保证采用小缓冲区优化，从而避免为短字符串分配内存。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">27</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0eda0e13d92c559a" weblate-flags="safe-html, strict-same">
        <source>small strings.</source>
        <target state="translated">(短字符串)</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">28</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3b19c1e5acd8f33c" weblate-flags="safe-html, strict-same">
        <source>With augmented interface, operations requiring an input string are implemented as a single overload with a parameter of type &lt;&lt;ref_string_view&gt;&gt;, and can accept most string-like objects. Objects such as null terminated character pointers, `std::string`, &lt;&lt;ref_string&gt;&gt;, subranges of strings, and objects convertible to &lt;&lt;ref_string_view&gt;&gt; can all be passed to these functions.</source>
        <target state="translated">通过增强的接口，所有需要输入字符串的操作均以单一重载形式实现，其参数类型为 &amp;lt;&lt;ref_string_view&gt;&amp;gt;，并可接受大多数类字符串对象。诸如以空字符结尾的字符指针、`std::string`、&amp;lt;&lt;ref_string&gt;&amp;gt;、字符串子范围以及可转换为 &amp;lt;&lt;ref_string_view&gt;&amp;gt; 的对象，均可传递给这些函数。&lt;/ref_string_view&gt;&lt;/ref_string&gt;&lt;/ref_string_view&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">30</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1aa4d0e637eff5f2" weblate-flags="safe-html, strict-same">
        <source>More formally, `std::string` member function overloads that accept any of the following parameter combinations as an input string:</source>
        <target state="translated">更正式地说，`std::string` 类的成员函数支持以下任意一种参数组合作为输入字符串:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">41</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1aabdee3df68abbd" weblate-flags="safe-html, strict-same">
        <source>a `std::string` parameter, or</source>
        <target state="translated">一个`std::string`参数，或</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">44</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c5bc492e1b26dc58" weblate-flags="safe-html, strict-same">
        <source>a `std::string` parameter and two `size_type` parameters that specify a</source>
        <target state="translated">一个 `std::string` 类型的参数以及两个 `size_type` 类型的参数，它们用于指定一个</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">45</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4fd7e083eeab64dc" weblate-flags="safe-html, strict-same">
        <source>substring, or</source>
        <target state="translated">子字符串，或</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">46</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4db8e6ab44aeccce" weblate-flags="safe-html, strict-same">
        <source>a parameter of a type convertible to &lt;&lt;ref_string_view&gt;&gt;, or</source>
        <target state="translated">一个可转换为 &amp;lt;&lt;ref_string_view&gt;&amp;gt; 类型的参数，或&lt;/ref_string_view&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">47</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="af60bd2402a162ef" weblate-flags="safe-html, strict-same">
        <source>a parameter of a type convertible to &lt;&lt;ref_string_view&gt;&gt; and two</source>
        <target state="translated">一个可转换为 &amp;lt;&lt;ref_string_view&gt;&amp;gt; 类型的参数以及两个&lt;/ref_string_view&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">48</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7a56a7a60f1eabc3" weblate-flags="safe-html, strict-same">
        <source>`size_type` parameters that specify a substring, or</source>
        <target state="translated">用于指定子字符串的`size_type` 类型的参数，或</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">49</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="916068fd3d3e3dea" weblate-flags="safe-html, strict-same">
        <source>a `const_pointer` parameter, or</source>
        <target state="translated">一个`const_pointer`参数，或</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">50</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="937e7a17352e022e" weblate-flags="safe-html, strict-same">
        <source>a parameter of type `const_pointer` and a `size_type` parameter that</source>
        <target state="translated">一个`const_pointer`类型的参数和一个`size_type`参数，该参数用于</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">51</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6ad06d961ccfd671" weblate-flags="safe-html, strict-same">
        <source>specifies the length of the string</source>
        <target state="translated">指定字符串的长度,</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">52</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8966c269c51ef06c" weblate-flags="safe-html, strict-same">
        <source>are replaced with an overload accepting a &lt;&lt;ref_string_view&gt;&gt; parameter.</source>
        <target state="translated">被一个接受 &amp;lt;&lt;ref_string_view&gt;&amp;gt; 参数的重载所替代。&lt;/ref_string_view&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">54</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b24c803ff61b5865" weblate-flags="safe-html, strict-same">
        <source>This design removes several redundant overloads from the interface. For example, the 11 overloads of `std::string::insert` are reduced to just 3 in &lt;&lt;ref_string&gt;&gt;, while still providing identical functionality. In addition to these changes, overloads taking a `std::initializer_list&lt;char&gt;` parameter have been removed. Such overloads have little use, as they serve as little more than wrappers for arrays with an inefficient syntax:</source>
        <target state="translated">这一设计从接口中移除了多个冗余的重载。例如，`std::string::insert` 原本有 11 个重载，而在 &amp;lt;&lt;ref_string&gt;&amp;gt; 中被减少到仅 3 个，同时仍提供完全相同的功能。除此之外，接受 `std::initializer_list&lt;char&gt;` 参数的重载也被移除。这类重载用途有限，因为它们本质上只是对字符数组的封装，且语法效率低下：&lt;/char&gt;&lt;/ref_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">56</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="64fbd546acfd2160" weblate-flags="safe-html, strict-same">
        <source>With the removal of overloads that specify parameters for a substring, a member function `subview` that returns a &lt;&lt;ref_string_view&gt;&gt; is provided to facilitate cheap substring operations:</source>
        <target state="translated">随着用于指定子字符串参数的重载被移除，库提供了一个成员函数`subview`， 用于返回一个 &amp;lt;&lt;ref_string_view&gt;&amp;gt;，从而支持高效的子字符串操作：&lt;/ref_string_view&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">68</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="71dc20a42473baa4" weblate-flags="safe-html, strict-same">
        <source>A &lt;&lt;ref_string&gt;&gt; may be constructed using the &lt;&lt;default_memory_resource,default memory resource&gt;&gt; without incurring any memory allocations. Alternatively, a &lt;&lt;ref_storage_ptr&gt;&gt; can be provided explicitly:</source>
        <target state="translated">&amp;lt;&lt;ref_string&gt;&amp;gt; 可使用 &amp;lt;&lt;default_memory_resource,default memory="" resource=""&gt;&amp;gt;（默认构造资源） 进行构造，且不会产生任何内存分配。或者，也可以显式提供一个 &amp;lt;&lt;ref_storage_ptr&gt;&amp;gt;：&lt;/ref_storage_ptr&gt;&lt;/default_memory_resource,default&gt;&lt;/ref_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">77</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="059c92545c3dacd3" weblate-flags="safe-html, strict-same">
        <source>Formatted Output</source>
        <target state="translated">格式化输出</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">86</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4b7b5ac063b28973" weblate-flags="safe-html, strict-same">
        <source>When a &lt;&lt;ref_string&gt;&gt; is formatted to a {std_ostream}, the result is a valid JSON. That is, the result will be double quoted and the contents properly escaped per the JSON specification.</source>
        <target state="translated">当&amp;lt;&lt;ref_string&gt;&amp;gt;被格式化到{std_ostream}时，结果是一个有效的JSON。即输出结果将被双引号括起来，并且内容会根据JSON规范进行正确转义。&lt;/ref_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">88</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="db6fe1169d749fad" weblate-flags="safe-html, strict-same">
        <source>Accessing Storage Beyond `size()`</source>
        <target state="translated">访问超出`size()`范围的存储空间</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">92</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="01a492e6a0055434" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_string&gt;&gt; directly supports access to its storage in the range `[size(), capacity())`. This can be used for efficient assembly of a string from several parts. After the string is assembled, use the member function &lt;&lt;ref_string_grow&gt;&gt; to update the string's size and insert the null terminator. For example:</source>
        <target state="translated">&amp;lt;&lt;ref_string&gt;&amp;gt; 直接支持访问其在`[size(), capacity())`范围内的存储空间。这可用于高效地将字符串从多个部分组装起来。字符串组装完成后，可调用成员函数 &amp;lt;&lt;ref_string_grow&gt;&amp;gt; 来更新字符串的大小并插入空终止符。例如：&lt;/ref_string_grow&gt;&lt;/ref_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">94</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
